# Visualization
TKV2d
Select2D

# Select2D_SensitivePoint Class Reference

A framework to define sensitive 2D points.
.

`#include <Select2D_SensitivePoint.hxx>`

Inheritance diagram for Select2D_SensitivePoint:

[legend]

## Public Member Functions

Standard_EXPORT | Select2D_SensitivePoint (const Handle(SelectBasics_EntityOwner)&OwnerId, const gp_Pnt2d &Location, const Standard_Real InitSensitivity=0)
| Constructs the sensitive point object defined by the owner OwnerId, the point Location and the sensitivity InitSensitivity. InitSensitivity allows choice of dimensions in the selectable box around the sensitive point. It is initialized with a null value, and is given a working one by Set. .
Standard_EXPORT void | Set (const Standard_Real aSensitivity)
| Sets the sensitivity aSensitivity for sensitive primitives to find owners of points. .
Standard_EXPORT void | Areas (SelectBasics_ListOfBox2d &aresul)
| Returns the 2Dbox around the point (this box) has to be enlarged (sensitivity = 0) .
const gp_Pnt2d & | Location () const
| returns the original point.
Standard_EXPORT Standard_Boolean | Matches (const Standard_Real X, const Standard_Real Y, const Standard_Real aTol, Standard_Real &DMin)
| if distance between P
Standard_EXPORT Standard_Boolean | Matches (const Standard_Real XMin, const Standard_Real YMin, const Standard_Real XMax, const Standard_Real YMax, const Standard_Real aTol)
| returns True if the box (Xmin,YMin)------(Xmax,Ymax) contains the SensitiveEntity. Necessary for selection using elastic boxes,or segments.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Pnt2d | mylocation
Standard_Real | mysensitivity

## Constructor & Destructor Documentation

Standard_EXPORT Select2D_SensitivePoint::Select2D_SensitivePoint | ( | const Handle(SelectBasics_EntityOwner)& | OwnerId,
|  | const gp_Pnt2d & | Location,
|  | const Standard_Real | InitSensitivity = `0`
| ) |

## Member Function Documentation

Standard_EXPORT void Select2D_SensitivePoint::Areas | ( | SelectBasics_ListOfBox2d & | aresul | ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

Standard_EXPORT const Select2D_SensitivePoint::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Select2D_SensitiveEntity.

const gp_Pnt2d & Select2D_SensitivePoint::Location | ( |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean Select2D_SensitivePoint::Matches | ( | const Standard_Real | XMin,
|  | const Standard_Real | YMin,
|  | const Standard_Real | XMax,
|  | const Standard_Real | YMax,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

Standard_EXPORT Standard_Boolean Select2D_SensitivePoint::Matches | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | aTol,
|  | Standard_Real & | DMin
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

void Select2D_SensitivePoint::Set | ( | const Standard_Real | aSensitivity | ) | `[inline]`

## Field Documentation

gp_Pnt2d Select2D_SensitivePoint::mylocation `[private]`

Standard_Real Select2D_SensitivePoint::mysensitivity `[private]`

The documentation for this class was generated from the following files:

- Select2D_SensitivePoint.hxx
- Select2D_SensitivePoint.lxx